Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class JBOTreeNode

    java.lang.Object
      |
      +--oracle.jbo.jbotester.JBOTreeNode

public class JBOTreeNode
extends java.lang.Object
implements javax.swing.tree.MutableTreeNode

Use the RowSet storage to implement the MutableTreeNode

Field Summary
`protected java.lang.String` | `accessor`
`protected java.util.Hashtable` | `allNodes`
`protected RowSet` | `children`
`static java.util.Enumeration` | `EMPTY_ENUMERATION` An enumeration that is always empty.
`protected javax.swing.tree.MutableTreeNode` | `parent` this node's parent, or null if this node has no parent
`protected Row` | `row`
`protected java.lang.Object` | `userObject`

Method Summary
`java.util.Enumeration` | `children()`
`boolean` | `expand()`
`boolean` | `getAllowsChildren()`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`RowSet` | `getChildren()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`JBOTreeNode` | `getNode(Row row)`
`javax.swing.tree.TreeNode` | `getParent()`
`Row` | `getRow()`
`java.lang.Object` | `getUserObject()`
`void` | `insert(javax.swing.tree.MutableTreeNode newChild, int index)`
`boolean` | `isLeaf()`
`boolean` | `isNodeAncestor(javax.swing.tree.TreeNode anotherNode)`
`boolean` | `isNodeChild(javax.swing.tree.TreeNode aNode)`
`void` | `remove(int childIndex)`
`void` | `remove(javax.swing.tree.MutableTreeNode aChild)`
`void` | `removeFromParent()`
`void` | `removeNode(Row row)`
`void` | `setChildren(RowSet newChildren)`
`void` | `setParent(javax.swing.tree.MutableTreeNode newParent)`
`void` | `setRow(Row r)`
`void` | `setUserObject(java.lang.Object usrObj)`
`java.lang.String` | `toString()` Text that gets displayed in item of tree control

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ENUMERATION

    public static final java.util.Enumeration EMPTY_ENUMERATION

  An enumeration that is always empty. This is used when an enumeration of a leaf node's children is requested.

### parent

    protected javax.swing.tree.MutableTreeNode parent

  this node's parent, or null if this node has no parent

### row

    protected Row row

### userObject

    protected transient java.lang.Object userObject

### children

    protected RowSet children

### allNodes

    protected java.util.Hashtable allNodes

### accessor

    protected java.lang.String accessor

Method Detail

### children

    public java.util.Enumeration children()

### getAllowsChildren

    public boolean getAllowsChildren()

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

### getChildCount

    public int getChildCount()

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

### getParent

    public javax.swing.tree.TreeNode getParent()

### isLeaf

    public boolean isLeaf()

### insert

    public void insert(javax.swing.tree.MutableTreeNode newChild,
                       int index)

  Specified by:
    insert in interface javax.swing.tree.MutableTreeNode

### remove

    public void remove(int childIndex)

  Specified by:
    remove in interface javax.swing.tree.MutableTreeNode

### remove

    public void remove(javax.swing.tree.MutableTreeNode aChild)

  Specified by:
    remove in interface javax.swing.tree.MutableTreeNode

### removeFromParent

    public void removeFromParent()

  Specified by:
    removeFromParent in interface javax.swing.tree.MutableTreeNode

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode newParent)

  Specified by:
    setParent in interface javax.swing.tree.MutableTreeNode

### getUserObject

    public java.lang.Object getUserObject()

### getRow

    public final Row getRow()

### setRow

    public final void setRow(Row r)

### getNode

    public JBOTreeNode getNode(Row row)

### removeNode

    public void removeNode(Row row)

### setUserObject

    public void setUserObject(java.lang.Object usrObj)

  Specified by:
    setUserObject in interface javax.swing.tree.MutableTreeNode

### getChildren

    public RowSet getChildren()

### setChildren

    public void setChildren(RowSet newChildren)

### isNodeAncestor

    public final boolean isNodeAncestor(javax.swing.tree.TreeNode anotherNode)

### isNodeChild

    public final boolean isNodeChild(javax.swing.tree.TreeNode aNode)

### toString

    public java.lang.String toString()

  Text that gets displayed in item of tree control
  Overrides:
    toString in class java.lang.Object

### expand

    public boolean expand()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD